import React from 'react'
import { GoogleLogin, useGoogleLogin } from 'react-google-login';

const Login = () => {
    const storage = window.localStorage;

    const loginSuccess = (response: any) => {
        console.log(response);
        const {email, familyName:lastName, givenName:firstName} = response.profileObj;
        storage.setItem("loggedIn", "true");
        storage.setItem("userFirstName", firstName);
        storage.setItem("userLastName", lastName);
        storage.setItem("userEmail", email);
        storage.setItem("tokenId", response.tokenId);
        console.log("Log in succesful", storage);
    }

    const loginFailure = (response: any) => {
        storage.setItem("loggedIn", "false")
        console.log("Log in failed", storage);
    }

    return (
        <GoogleLogin
            clientId="925243198137-hhe2e3ejlethf321hh7tbm7ontc19cpj.apps.googleusercontent.com"
            buttonText="Login"
            onSuccess={loginSuccess}
            onFailure={loginFailure}
            cookiePolicy={'single_host_origin'}
        />
    )
}

export default Login
