import React, { useState, useEffect } from 'react';
import { Item } from 'Order';

const OrderShowDetails = (props: any) => {
    const [items, setItems] = useState<Item[]>()
    useEffect(() => {
        setItems(props.items)
    }, [props.items])

    const itemMap = (items: Item[]) => {
        return items.map((item: Item, idx: number) => {
            return (
                <tr key={idx}>
                    <td>{item.itemId}</td>
                    <td>{item.itemPrice}</td>
                    <td>{item.itemQuantity}</td>
                    <td>{item.itemSku}</td>
                </tr>
            )
        });
    }

    const itemDetails = items ? itemMap(items) : <></>
    
    return (
        items ? 
            <table>
                <tbody>
                    <tr>
                        <th>ID</th>
                        <th>Price</th>
                        <th>Quantity</th>
                        <th>SKU</th>
                    </tr>
                    {itemDetails}
                </tbody>
            </table>
        :
            <div className="Order without items">
                This order didn't contain any items.
            </div>
    )
}

export default OrderShowDetails
